%define tpctlir %{?_without_tpctlir:0}%{!?_without_tpctlir:1}

Name:           tpctl
Version:        4.14
Release:        0.fdr.1.rh90
Epoch:          0
Summary:        IBM ThinkPad configuration tools

Group:          System Environment/Base
License:        GPL
URL:            http://tpctl.sourceforge.net/
Source0:        http://download.sourceforge.net/tpctl/tpctl_4.14.tar.gz
Source1:        %{name}.apmiser.init
Patch0:         %{name}-rpm.patch
Patch1:         %{name}-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(id -u -n)

BuildRequires:  ncurses-devel, libtool
Requires:       kernel-module-thinkpad >= 0:3.2

%description
tpctl is a package of IBM ThinkPad configuration tools for Linux.

%package     -n apmiser
Summary:        IBM ThinkPad APM settings daemon
Group:          System Environment/Daemons
Requires:       %{name} = %{epoch}:%{version}
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig

%description -n apmiser
apmiser is a tool for IBM ThinkPads that automatically controls the
APM power settings based on your usage patterns.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if %{tpctlir}
cp -p tpctlir/README README.tpctlir
%endif


%build
CC=%{__cc} make %{?_smp_mflags} all
%if %{tpctlir}
CC=%{__cc} make %{?_smp_mflags} -C tpctlir
%endif


%install
rm -rf $RPM_BUILD_ROOT
make install \
  DEST=$RPM_BUILD_ROOT \
  PATH_BIN=%{_bindir}/ \
  PATH_LIB=%{_libdir}/ \
  PATH_MAN=%{_mandir}/ \
  PATH_SBIN=%{_sbindir}/
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/apmiser
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -pm 644 man/apmiser.8 $RPM_BUILD_ROOT%{_mandir}/man8
%if %{tpctlir}
install -pm 644 tpctlir/tpctlir.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n apmiser
[ $1 -eq 1 ] && chkconfig --add apmiser || :

%preun -n apmiser
if [ $1 -eq 0 ] ; then
  chkconfig --del apmiser
  %{_initrddir}/apmiser stop >/dev/null 2>&1 || :
fi

%postun -n apmiser
[ $1 -gt 0 ] && %{_initrddir}/apmiser try-restart >/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README* SUPPORTED* TROUBLE* VGA-MODES
%{_bindir}/*tpctl
%{_libdir}/libsmapidev.so.*
%{_mandir}/man1/*tpctl.1*
%if %{tpctlir}
%{_sbindir}/tpctlir
%{_mandir}/man8/tpctlir.8*
%endif

%files -n apmiser
%defattr(-,root,root,-)
%doc apmiser/README
%attr(0755,root,root) %config %{_initrddir}/*
%{_sbindir}/apmiser
%{_mandir}/man8/apmiser.8*


%changelog
* Thu May 20 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:4.14-0.fdr.1
- Update to 4.14.
- Make tpctlir build optional due to problems with kernel 2.6,
  use "--without tpctlir" to disable.

* Wed Dec  3 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.8-0.fdr.2
- Use sf.net tarball.
- Include tpctlir in main package.
- Make apmiser require /sbin/chkconfig.
- Use patch instead of perl for optflags.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.8-0.fdr.1
- Update to 4.8.
- Make init script properly fail if /dev/thinkpad or /proc/apm are not
  available (thanks to Joose Vettenranta for the catch).

* Tue Jul 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.6-0.fdr.2
- Don't fail apmiser %%post scriptlet even if condrestart fails (bug 498).

* Tue Jul 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.6-0.fdr.1
- Update to 4.6.
- BuildRequires libtool (bug 496).
- Drop -devel package and patch, it's unofficial, not useful and broken :)
- Init script cleanups.

* Tue May 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.4-0.fdr.4
- Fix condrestart thinko in apmiser init script.

* Sat May 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.4-0.fdr.3
- Split apmiser into separate subpackage.
- Include apmiser init script and man page.
- Patch (originally from Mandrake) to create a -devel subpackage.

* Mon Apr 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.4-0.fdr.2
- Handle renamed kernel-module-thinkpad dependency.

* Sat Apr 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.4-0.fdr.1
- Update to 4.4.

* Sun Apr  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:4.3-0.fdr.1
- Update to 4.3.
- Save .spec in UTF-8.

* Sun Mar 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:3.7-0.fdr.1
- Rebuild according to Fedora RC3 guidelines.
- Require kernel-mod-thinkpad instead of the obsolete thinkpad-kernel package.

* Sun Feb 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 3.7-1.fedora.2
- Require thinkpad-kernel instead of obsolete thinkpad package.

* Sat Feb  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 3.7-1.fedora.1
- First Fedora release.
